Summary:	Converts DOS and Mac EOLs to UNIX-style EOLs and vice versa
Name:		dos2unix
Version:	7.5.2
Release:	%mkrel 1
License:	BSD
Group:		Text tools
URL:		https://www.xs4all.nl/~waterlan/dos2unix.html
Source:		https://www.xs4all.nl/~waterlan/dos2unix/%{name}-%{version}.tar.gz
BuildRequires:	gettext
BuildRequires:	perl-devel

%description
Convert text files with DOS or Mac line endings to Unix line endings
and vice versa.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install docsubdir=%{name}
%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/dos2unix
%{_bindir}/unix2dos
%{_bindir}/mac2unix
%{_bindir}/unix2mac
%{_mandir}/man1/*.1*


%changelog
* Mon Apr 07 2025 daviddavid <daviddavid> 7.5.2-1.mga10
+ Revision: 2174177
- new version: 7.5.2

* Mon Aug 01 2022 bcornec <bcornec> 7.4.3-1.mga9
+ Revision: 1874073
- Update to upstream dos2unix 7.4.3

* Thu Mar 17 2022 umeabot <umeabot> 7.4.2-2.mga9
+ Revision: 1797114
- Mageia 9 Mass Rebuild

* Thu Nov 19 2020 luigiwalser <luigiwalser> 7.4.2-1.mga8
+ Revision: 1647416
- 7.4.2

* Sun Feb 16 2020 umeabot <umeabot> 7.4.1-2.mga8
+ Revision: 1533958
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 daviddavid <daviddavid> 7.4.1-1.mga8
+ Revision: 1445860
- new version: 7.4.1

* Sun Sep 23 2018 umeabot <umeabot> 7.4.0-2.mga7
+ Revision: 1297486
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 7.4.0-1.mga7
+ Revision: 1252231
- new version: 7.4.0

* Sun Sep 03 2017 daviddavid <daviddavid> 7.3.4-2.mga7
+ Revision: 1151021
- fix for new find_lang

* Thu Aug 11 2016 luigiwalser <luigiwalser> 7.3.4-1.mga6
+ Revision: 1045485
- 7.3.4

* Mon May 09 2016 luigiwalser <luigiwalser> 7.3.3-1.mga6
+ Revision: 1011344
- 7.3.3

* Thu Dec 31 2015 luigiwalser <luigiwalser> 7.3.2-1.mga6
+ Revision: 917400
- 7.3.2

* Thu Nov 19 2015 luigiwalser <luigiwalser> 7.3.1-1.mga6
+ Revision: 904371
- 7.3.1

* Wed Oct 15 2014 umeabot <umeabot> 6.0.6-3.mga5
+ Revision: 747244
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0.6-2.mga5
+ Revision: 678812
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 luigiwalser <luigiwalser> 6.0.6-1.mga5
+ Revision: 659909
- 6.0.6

* Sun Jun 08 2014 pterjan <pterjan> 6.0.5-2.mga5
+ Revision: 634670
- Fix empty Language header in es.po

* Fri Apr 18 2014 luigiwalser <luigiwalser> 6.0.5-1.mga5
+ Revision: 615846
- 6.0.5
- remove pod encoding patch (fixed upstream)
- use find_lang macro correctly and fix files list

* Fri Jan 17 2014 luigiwalser <luigiwalser> 6.0.4-1.mga5
+ Revision: 566762
- 6.0.4
- add patch from fedora to fix POD encoding

* Fri Oct 18 2013 umeabot <umeabot> 6.0.3-2.mga4
+ Revision: 521923
- Mageia 4 Mass Rebuild

* Thu Jan 31 2013 luigiwalser <luigiwalser> 6.0.3-1.mga3
+ Revision: 393615
- 6.0.3

* Fri Jan 11 2013 umeabot <umeabot> 6.0.2-3.mga3
+ Revision: 349059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 guillomovitch <guillomovitch> 6.0.2-2.mga3
+ Revision: 333651
- ship the doc in correct location
- no need to define virtual package for each binaries

* Fri Sep 07 2012 luigiwalser <luigiwalser> 6.0.2-1.mga3
+ Revision: 289100
- 6.0.2

* Sat Jul 28 2012 luigiwalser <luigiwalser> 6.0.1-1.mga3
+ Revision: 275378
- 6.0.1

* Fri May 11 2012 dams <dams> 6.0-1.mga2
+ Revision: 235265
- new version 6.0

* Mon Feb 06 2012 dams <dams> 5.3.2-1.mga2
+ Revision: 205553
- new version 5.3.2

* Mon Nov 14 2011 zezinho <zezinho> 5.3.1-1.mga2
+ Revision: 167605
- new upstream source

* Sat Jan 08 2011 blino <blino> 1.0.3-4.mga1
+ Revision: 700
- imported package dos2unix


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdv2011.0
+ Revision: 604810
- rebuild

* Thu Jan 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.3-3mdv2010.1
+ Revision: 494638
- fix mkrel after fix licence
- fix licence

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2010.0
+ Revision: 413375
- rebuild

* Fri Nov 21 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.3-1mdv2009.1
+ Revision: 305410
- new release: 1.0.3
- spec cleanup

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2009.0
+ Revision: 220680
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2008.1
+ Revision: 149208
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 72866
- 1.0.2

* Fri May 18 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.0.1-1mdv2008.0
+ Revision: 28366
- Updated to 1.0.1.
- Removed INSTALL from the list of documentation files provided
  (useless).


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 10:03:19 (63295)
- rebuild

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 10:00:56 (63293)
- Import dos2unix

* Tue Aug 08 2006 Lenny Cartier <lenny@mandriva.com> 1.0.0-2mdv2007.0
- rebuild

* Wed May 10 2006 Spencer Anderson <sdander@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9.1-3mdk
- Rebuild

* Wed May 12 2004 Marcel Pol <mpol@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Sun May 02 2004 Marcel Pol <mpol@mandrake.org> 0.8.1-3mdk
- rebuild

